Get all interactions with interaction data using advanced query
post
/api/boss/data/objects/ora/cxServiceCore/interaction/v1/$en/interactions/$views/interactionContextData/$query
The interaction data is used to add contextual data for an interaction.
Request
Query Parameters
-
$effectiveDate: string(date)
Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
Supported Media Types
- application/json
Nested Schema : schema
Type:
Show Source
object-
accessors: object
accessors
Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
-
fields: array
fields
Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
-
subTypes: object
subTypes
Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : type
Type:
Show Source
object-
collection: object
collection
Defines query criteria that can be applied on a resource collection.
Nested Schema : type
Type:
Show Source
object-
parameters: object
parameters
Values to be applied in a parameterized filter specific to the view.
Nested Schema : accessors
Type:
objectMaps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
Nested Schema : fields
Type:
arrayRestricts the resource fields. Only the specified fields and mandatory system fields are returned.
Show Source
Nested Schema : subTypes
Type:
objectMaps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : collection
Type:
objectDefines query criteria that can be applied on a resource collection.
Show Source
-
filter: string
The resource collection will be queried using the specified filter condition.
-
includeTotalItems: boolean
Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
-
limit: integer
Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
-
offset: integer
Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
-
privilege: string
Represents the privilege or action required to check for while serving a request to access a resource.
-
sortBy: array
sortBy
Orders a resource collection based on the specified fields.
Nested Schema : sortBy
Type:
arrayOrders a resource collection based on the specified fields.
Show Source
Nested Schema : type
Type:
objectObject with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Nested Schema : parameters
Type:
objectValues to be applied in a parameterized filter specific to the view.
Response
Default Response
Successful response of retrieving view interactionContextData for resource Interactions
Root Schema : interactions_view-interactionContextData
Match All
The interaction data is used to add contextual data for an interaction.
Show Source
-
object
__collection_context
-
object
interactions_view-interactionContextData-allOf[1]
The interaction data is used to add contextual data for an interaction.
Nested Schema : interactions_view-interactionContextData-allOf[1]
Type:
objectThe interaction data is used to add contextual data for an interaction.
Show Source
Nested Schema : totalItems
Type:
Show Source
object-
qualifier: string
Allowed Values:
[ "eq", "gt", "est", "err" ] -
value: integer
Nested Schema : items-allOf[1]
Type:
Show Source
object-
agentHttpSessionIdentifier: string
Title:
Session IDThe HTTP session ID of the agent for the interaction. This is used to allow cleanup of interactions when the agent session no longer exists. -
contextualData:
contextualData
-
createdBy: string
Title:
Created ByRead Only:trueThe user who created the record. -
description: string
Title:
DescriptionThe description of the interaction. -
directionCode:
directionCode
-
endTime: string
(date-time)
Title:
End TimeThe time when the interaction ended. -
interactionId: string
(big-integer)
Title:
Interaction IDRead Only:trueUnique identifier of interaction. -
interactionNumber: string
Title:
Interaction NumberRead Only:trueThe alternate unique identifier of the interaction. -
manuallyLoggedFlag: boolean
Title:
Service ChannelsFlag indicating whether the interaction is created manually by an agent as opposed to automatically by another product or not. -
mediaItemIdentifier: string
Title:
Media Item IDThe Event ID generated during interaction routed through third party tools. -
originalSystemReference: string
Title:
Original SystemThe original system reference for the interaction. -
startTime: string
(date-time)
Title:
Start TimeThe start time of the interaction. -
stripeCode:
stripeCode
-
timeCreated: string
(date-time)
Title:
Creation DateRead Only:trueThe date and time when the record was created. -
timeUpdated: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date and time when the record was last updated. -
updatedBy: string
Title:
Last Updated ByRead Only:trueThe user who last updated the record.
Nested Schema : directionCode
Match All
The list of values for the direction of the interaction, either inbound or outbound.
Show Source
Nested Schema : items-allOf[1]
Type:
Show Source
object-
createdBy: string
Title:
Created ByRead Only:trueThe user who created the record. -
interactionDataId: string
(big-integer)
Title:
Interaction Data IdRead Only:trueFinds the interaction data by the interaction data identifier. -
interactionDataNumber: string
Title:
Interaction Data NumberThe alternate identifier of the interaction data. -
timeCreated: string
(date-time)
Title:
Creation DateRead Only:trueThe date and time when the record was created. -
timeUpdated: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date and time when the record was last updated. -
tokenIdentifier: string
(big-integer)
Title:
Token IdThe unique identifier of the token. -
updatedBy: string
Title:
Last Updated ByRead Only:trueThe user who last updated the record. -
value: string
Title:
Data ValueValue of the token.